Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3082 - pam_console gratuitously uses glib
Summary: pam_console gratuitously uses glib
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-27 03:46 UTC by manishv
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-04 09:44:08 UTC


Attachments (Terms of Use)

Description manishv 1999-05-27 03:46:38 UTC
The pam_console.so module unnecessarily uses glib for
g_malloc and g_realloc.  I cannot find any other glib
function used in pam console.  This was really annoying when
I decided to try glib-1.3.  IMHO, a package as critical as
PAM for the system should depend on as few packages as
possible.  Since pam_console seems pretty linux specific,
malloc and realloc should work just fine.

Comment 1 Jay Turner 1999-05-27 14:29:59 UTC
This issue has been forwarded to a developer for further review

Comment 2 manishv 1999-05-27 22:21:59 UTC
Hmm, this was discarded but the explanation said that it was being
forwarded to a developer.  In any case I have added a patch to this
bug report following this message to remove the 2 glib calls in
chmod.c in pam_console.

------- Email Received From  Manish Vachharajani <manishv@ee.princeton.edu> 05/27/99 18:26 -------

Comment 3 manishv 1999-06-03 01:35:59 UTC
Never mind this bug.  I am an idiot.  I must not have grepped the .y
file in pam_console when looking for glib calls.


Note You need to log in before you can comment on or make changes to this bug.